org.apache.hadoop.mapreduce.v2.app.launcher

## Class ContainerLauncherEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<ContainerLauncher.EventType>
  - - org.apache.hadoop.mapreduce.v2.app.launcher.ContainerLauncherEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<ContainerLauncher.EventType>
  Direct Known Subclasses:
    ContainerRemoteLaunchEvent

      public class ContainerLauncherEvent
      extends org.apache.hadoop.yarn.event.AbstractEvent<ContainerLauncher.EventType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerLauncherEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId taskAttemptID, org.apache.hadoop.yarn.api.records.ContainerId containerID, String containerMgrAddress, org.apache.hadoop.yarn.api.records.Token containerToken, ContainerLauncher.EventType type)`
    `ContainerLauncherEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId taskAttemptID, org.apache.hadoop.yarn.api.records.ContainerId containerID, String containerMgrAddress, org.apache.hadoop.yarn.api.records.Token containerToken, ContainerLauncher.EventType type, boolean dumpContainerThreads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerID()`
    `String` | `getContainerMgrAddress()`
    `org.apache.hadoop.yarn.api.records.Token` | `getContainerToken()`
    `boolean` | `getDumpContainerThreads()`
    `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId` | `getTaskAttemptID()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerLauncherEvent

          public ContainerLauncherEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId taskAttemptID,
                                        org.apache.hadoop.yarn.api.records.ContainerId containerID,
                                        String containerMgrAddress,
                                        org.apache.hadoop.yarn.api.records.Token containerToken,
                                        ContainerLauncher.EventType type)

    - #### ContainerLauncherEvent

          public ContainerLauncherEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId taskAttemptID,
                                        org.apache.hadoop.yarn.api.records.ContainerId containerID,
                                        String containerMgrAddress,
                                        org.apache.hadoop.yarn.api.records.Token containerToken,
                                        ContainerLauncher.EventType type,
                                        boolean dumpContainerThreads)

  - ### Method Detail

    - #### getTaskAttemptID

          public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId getTaskAttemptID()

    - #### getContainerID

          public org.apache.hadoop.yarn.api.records.ContainerId getContainerID()

    - #### getContainerMgrAddress

          public String getContainerMgrAddress()

    - #### getContainerToken

          public org.apache.hadoop.yarn.api.records.Token getContainerToken()

    - #### getDumpContainerThreads

          public boolean getDumpContainerThreads()

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `org.apache.hadoop.yarn.event.Event<ContainerLauncher.EventType>`
      Overrides:
        `toString` in class `org.apache.hadoop.yarn.event.AbstractEvent<ContainerLauncher.EventType>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.